Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 218535 - yum: Exception Occured on start up of Add/Remove Software
Summary: yum: Exception Occured on start up of Add/Remove Software
Keywords:
Status: CLOSED DUPLICATE of bug 213963
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-05 21:19 UTC by Andrew Murray
Modified: 2014-01-21 22:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-06 16:10:03 UTC


Attachments (Terms of Use)
Output of the Exception Occured dialog (deleted)
2006-12-05 21:19 UTC, Andrew Murray
no flags Details

Description Andrew Murray 2006-12-05 21:19:22 UTC
Description of problem:
After being prompted to install some security updates (and other non-security
updates as well I'm guessing) by the auto updater in the top right hand corner I
am receiving an exception everytime I open the Add/Remove Software tool from the
Applications menu in Fedora Core 6. A screen appears giving me the option to
Debug, Save to File or Quit, the Save to File option results in the following
output:


Component: Software Manager
Summary: TBc3704fb6 config.py:656:_getsysver:TypeError: rpmdb open failed

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 445, in ?
    main()
  File "/usr/sbin/pirut", line 438, in main
    pm = PackageManager(options.config)
  File "/usr/sbin/pirut", line 60, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 125, in
doConfigSetup
    self.conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 597, in readMainConfig
    yumvars['releasever'] = _getsysver(startupconf.installroot,
startupconf.distroverpkg)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 656, in _getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed

Local variables in innermost frame:
installroot: /
ts: <rpmUtils.transaction.TransactionWrapper instance at 0x98b064c>
distroverpkg: redhat-release


Also attempted to run yum from the console and received the following:


[root@localhost andrew]# yum proftpd
Loading "installonlyn" plugin
rpmdb: Locker is not valid
rpmdb: Unknown locker ID: 396
error: db4 error(22) from db->close: Invalid argument
error: cannot open Packages index using db3 - Invalid argument (22)
error: cannot open Packages database in /var/lib/rpm
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 85, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 199, in getOptionsConfig
    errorlevel=opts.errorlevel)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 125, in
doConfigSetup
    self.conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 597, in readMainConfig
    yumvars['releasever'] = _getsysver(startupconf.installroot,
startupconf.distroverpkg)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 656, in _getsysver
    idx = ts.dbMatch('provides', distroverpkg)
TypeError: rpmdb open failed


When I try yum --help or yum -h from the console I'm getting similar errors.

Version-Release number of selected component (if applicable):
Don't know how to find this out, please get in touch with steps if this would
help to fix the problem.

How reproducible:
This occurs every time I attempt to open the Add/Remove Software tool.

Steps to Reproduce:
1.Get all the most recent updates for Fedora Core 6 as of (approx) 21:00 (GMT)
on the 5th of December 2006
2.After update log in (not as root - haven't tested this)
3.Open the Add/Remove Software tool from the Application menu.
  
Actual results:
See description.

Expected results:
The Add/Remove Software Tool would start.

Additional info:
Please contact me if more information is required.

Comment 1 Andrew Murray 2006-12-05 21:19:22 UTC
Created attachment 142891 [details]
Output of the Exception Occured dialog

Comment 2 Andrew Murray 2006-12-05 21:26:57 UTC
Have tested it logged in as root and the same problem occurs. Also, a bubble
comes up just after log on stating that the system is unable to reveive updates.

Comment 3 Jeremy Katz 2006-12-06 16:10:03 UTC

*** This bug has been marked as a duplicate of 213963 ***


Note You need to log in before you can comment on or make changes to this bug.